using System;
using OgreDotNet;

namespace ExtendedCameraSample
{
	/// <summary>
	/// Summary description for Character.
	/// </summary>
	public class Character
	{
		protected SceneNode mMainNode;
		protected SceneNode mSightNode;
		protected SceneNode mCameraNode;
		protected Entity mEntity;
		protected SceneManager mSceneMgr;

		public virtual void update(float elapsedTime){}

		public Character()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		public SceneNode getSightNode()
		{
			return mSightNode;
		}

		public SceneNode getCameraNode()
		{
			return mCameraNode;
		}

		public Math3D.Vector3 getWorldPosition()
		{
			return mMainNode.GetWorldPosition();
		}
	}
}
